package digital.laboratory.platform.reagent.controller;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.reagent.entity.ReagentConsumableStash;
import digital.laboratory.platform.reagent.service.ReagentConsumableStashService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("reagent_consumable_stash")
@Api(value = "reagent_consumable_stash", tags = "试剂耗材仓库管理")
public class ReagentConsumableStashController {

    @Autowired
    private ReagentConsumableStashService reagentConsumableStashService;

    @ApiOperation(value = "分页查询", notes = "分页查询")
    @GetMapping
    public R<IPage<ReagentConsumableStash>> getReagentConsumableStash(Page page, String argument) {
        IPage<ReagentConsumableStash> reagentConsumableStashIPage = reagentConsumableStashService.getReagentConsumableStashPage(page, Wrappers.<ReagentConsumableStash>query()
                .like(StrUtil.isNotBlank(argument), "reagent_consumable_name", argument)
                .ne("total_quantity", 0)
                .or()
                .like(StrUtil.isNotBlank(argument), "room_no", argument)
                .ne("total_quantity", 0));
        return R.ok(reagentConsumableStashIPage);

    }
}
