package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 试剂耗材库存 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 试剂耗材库存 Mapper 类
 */
@Mapper
public interface ReagentConsumableInventoryMapper extends BaseMapper<ReagentConsumableInventory> {

    IPage<ReagentConsumableInventoryVO> getReagentConsumableInventoryVOPage (IPage<ReagentConsumableInventory>page, @Param(Constants.WRAPPER) QueryWrapper<ReagentConsumableInventory> qw);
    IPage<ReagentConsumableInventoryFullVO> getReagentConsumableInventoryFullVOPage (IPage<ReagentConsumableInventory>page, @Param(Constants.WRAPPER) QueryWrapper<ReagentConsumableInventory> qw);
    IPage<ReagentConsumableInventoryFullVO> getFullVOPage (IPage<ReagentConsumableInventory>page, @Param("name") String name,@Param("category") String category);

    List<UserVO> getUserList();
    List<OrgVO> getOrgList();


    IPage<ReferenceMaterialFullVO> getReferenceMaterialPage (IPage<ReagentConsumableInventory>page, @Param (Constants.WRAPPER) QueryWrapper<ReferenceMaterial> qw);
    IPage<ReferenceMaterialFullVO> getReagentConsumablePage (IPage<ReagentConsumableInventory>page, @Param("name") String name );
}
